.videos-slider-wrapper {
  padding-top: var(--wp--preset--spacing--giant);
  padding-bottom: var(--wp--preset--spacing--giant);
  padding-left: 0 !important;
  padding-right: 0 !important;
  background: inherit !important;
}
.videos-slider-wrapper .videos-title-container {
  max-width: var(--wp--style--global--wide-size);
  margin: 0 auto var(--wp--preset--spacing--large);
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: var(--wp--preset--spacing--small) 0;
}
.videos-slider-wrapper .videos-title-container h2 {
  margin: 0;
  font-style: normal;
  font-weight: 600;
}
@media (max-width: 1199px) {
  .videos-slider-wrapper .videos-title-container {
    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
  }
}
.videos-slider-wrapper .videos-grid .alignwide {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: var(--wp--preset--spacing--medium);
  max-width: var(--wp--style--global--wide-size);
  margin: 0 auto;
}
@media (min-width: 768px) {
  .videos-slider-wrapper .videos-grid .alignwide {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 1024px) {
  .videos-slider-wrapper .videos-grid .alignwide {
    grid-template-columns: repeat(3, 1fr);
  }
}
.videos-slider-wrapper .videos-grid .alignwide a {
  background-color: var(--wp--preset--color--background-1);
  text-decoration: none !important;
  border-radius: 10px;
  padding: var(--wp--preset--spacing--xx-small);
  height: 100%;
  transition: background 0.3s ease;
  display: flex;
  flex-direction: column;
}
.videos-slider-wrapper .videos-grid .alignwide a .video-thumbnail {
  border-radius: 8px;
}
.videos-slider-wrapper .videos-grid .alignwide a .video-single-block {
  padding: 0 var(--wp--preset--spacing--medium) var(--wp--preset--spacing--small);
  display: flex;
  flex-direction: column;
  height: 100%;
}
.videos-slider-wrapper .videos-grid .alignwide a .video-single-block h4 {
  color: var(--wp--preset--color--foreground-1);
  margin-top: var(--wp--preset--spacing--small) !important;
}
.videos-slider-wrapper .videos-grid .alignwide a .pseudo-link {
  display: flex;
  align-items: center;
  gap: var(--wp--preset--spacing--xx-small);
  transition: color 0.3s ease;
}
.videos-slider-wrapper .videos-grid .alignwide a .pseudo-link svg path {
  transition: fill 0.3s ease;
  fill: var(--wp--preset--color--primary) !important;
}
.videos-slider-wrapper .videos-grid .alignwide a:hover {
  background-color: var(--wp--preset--color--foreground-1) !important;
}
.videos-slider-wrapper .videos-grid .alignwide a:hover * {
  color: var(--wp--preset--color--background-1) !important;
}
.videos-slider-wrapper .videos-grid .alignwide a:hover .pseudo-link {
  color: var(--wp--preset--color--secondary) !important;
}
.videos-slider-wrapper .videos-grid .alignwide a:hover .pseudo-link svg path {
  fill: var(--wp--preset--color--secondary) !important;
}
.videos-slider-wrapper .swiper-slide {
  background-color: var(--wp--preset--color--background-1);
  text-decoration: none !important;
  border-radius: 10px;
  padding: var(--wp--preset--spacing--xx-small);
}
.videos-slider-wrapper .swiper-slide .video-thumbnail {
  border-radius: 8px;
}
.videos-slider-wrapper .swiper-slide .video-single-block {
  padding: 0 var(--wp--preset--spacing--medium) var(--wp--preset--spacing--small);
  display: flex;
  flex-direction: column;
  height: 100%;
}
.videos-slider-wrapper .swiper-slide .video-single-block h4 {
  color: var(--wp--preset--color--foreground-1);
  margin-top: var(--wp--preset--spacing--x-small) !important;
}
.videos-slider-wrapper .swiper-slide .pseudo-link {
  display: flex;
  align-items: center;
  gap: var(--wp--preset--spacing--xx-small);
  transition: color 0.3s ease;
}
.videos-slider-wrapper .swiper-slide .pseudo-link svg path {
  transition: fill 0.3s ease;
  fill: var(--wp--preset--color--primary) !important;
}
.videos-slider-wrapper .swiper-slide:hover .pseudo-link {
  color: var(--wp--preset--color--secondary) !important;
}
.videos-slider-wrapper .swiper-slide:hover .pseudo-link svg path {
  fill: var(--wp--preset--color--secondary) !important;
}

.has-background-1-background-color .swiper-slide,
.has-background-1-background-color .grid a {
  background-color: var(--wp--preset--color--background-2);
}
